//
//  CAPPDaemonManager+Installation.h
//  CleanApp
//
//  Created by Tobias Kalus on 31.01.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPDaemonManager.h"


@interface CAPPDaemonManager (Installation)

@property (readonly) NSNumber *running;
@property (readonly) NSNumber *installed;

- (void)start;
- (void)stop;
- (void)install;
- (void)uninstall;

- (NSNumber *)updateRequired;
- (void)update;

@end
