//
//  CAPPRelatedApplicationsSearchController.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 27/05/14.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPBasePathSearchController.h"
#import <pthread.h>
#import "CAPPURLConnection.h"


@interface CAPPRelatedApplicationsSearchController : CAPPBasePathSearchController <CAPPURLConnectionDelegate>
{
	NSMutableDictionary *results;
	
	pthread_mutex_t appListMutex;
	pthread_cond_t appListCond;
	
	pthread_mutex_t conMutex;
	pthread_cond_t conCond;
	
	CAPPURLConnection *connection;
	
	BOOL cancel;
}

- (void)searchRelatedApplicationsForFileAtURL:(NSURL *)url useCleanCommunity:(BOOL)useCleanCommunity completionHandler:(void (^)(NSSet *))handler;

- (void)cancel;

@end
