//
//  CAPPFileManagerTransaction-Private.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 19.09.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPFileManagerTransaction.h"
#import "CAPPFileManagerError.h"


@interface CAPPFileManagerTransaction (Private)

- (id)initWithAuthorizationOptions:(CAPPFileManagerTransactionAuthorizationOptions)authOptions;

- (void)addError:(CAPPFileManagerError *)error;
- (BOOL)shouldProceed:(CAPPFileManagerResultCode *)reason;
- (BOOL)shouldAuthorize:(CAPPFileManagerResultCode *)reason;

@end
