//
//  CAPPIcon.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 13.01.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

@class CAPPIconCache;


@interface CAPPIcon : NSObject
{
	CAPPIconCache *cache;
	NSString *identifier;
}

@property (readonly) NSImage *image;
@property (readonly) NSString *identifier;

- (id)initWithIdentifier:(NSString *)iconIdentifier cache:(CAPPIconCache *)iconCache;
+ (CAPPIcon *)iconWithIdentifier:(NSString *)iconIdentifier cache:(CAPPIconCache *)iconCache;

- (void)load;

@end
