//
//  CAPPURLLocalizationCache.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 28.11.12.
//  Copyright (c) 2012 Synium Software GmbH. All rights reserved.
//

@class CAPPLocalizedPathComponent;


@interface CAPPURLLocalizationCache : NSObject
{
	NSLock *lock;
	CAPPLocalizedPathComponent *rootComponent;
}

- (NSArray *)localizedPathComponents:(NSURL *)url;
- (NSURL *)localizedURL:(NSURL *)url;

+ (CAPPURLLocalizationCache *)URLLocalizationCache;

@end
