//
//  CAPPAppDataSearchController.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 16.01.14.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPPathSearchController.h"
#import "CAPPURLConnection.h"
#import "CAPPFilesystemWatcher.h"


@interface CAPPAppDataSearchController : CAPPPathSearchController <CAPPURLConnectionDelegate, CAPPFilesystemWatcherDelegate>
{
	CAPPURLConnection *connection;
	NSMutableSet *containersWithoutAppIcons;
	NSMutableDictionary *containerIconURLMap;
	
	CAPPFilesystemWatcher *watcher;
	
}

@end
