//
//  CAPPConfigurationFileAuxiliaries.h
//  CleanApp
//
//  Created by Tobias Kalus on 06.10.10.
//  Copyright 2010 Synium Software GmbH. All rights reserved.
//

@interface CAPPConfigurationFileAuxiliaries : NSObject 

+ (BOOL)configurationFileWithNameExists:(NSString *)name;

+ (void)writeData:(NSData *)data toConfigurationFileWithName:(NSString *)name;
+ (NSData *)loadDataFromConfigurationFileWithName:(NSString *)name;

+ (void)writePropertyList:(id)propertyList toConfigurationFileWithName:(NSString *)name;
+ (id)loadPropertyListFromConfigurationFileWithName:(NSString *)name;

@end
