//
//  CAPPFileManagerError.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 20.09.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPFileManager.h"


@interface CAPPFileManagerError : NSObject
{
	CAPPFileManagerResultCode code;
	NSString *description;
	NSString *reason;
	NSString *file;
}

@property (readonly) CAPPFileManagerResultCode code;
@property (readonly) NSString *description;
@property (readonly) NSString *reason;
@property (readonly) NSString *file;

+ (CAPPFileManagerError *)errorWithDescriptionString:(NSString *)d code:(CAPPFileManagerResultCode)c file:(NSString *)f;

@end
