//
//  CAPPMD5HashGenerator.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 11.05.10.
//  Copyright 2010 Synium Software GmbH. All rights reserved.
//

@class CAPPMD5HashGenerator;


@protocol CAPPMD5HashGeneratorDelegate

- (void)MD5HashGenerator:(CAPPMD5HashGenerator *)hashGenerator progressValue:(double)progress;

@end


@interface CAPPMD5HashGenerator : NSObject 
{
	id <CAPPMD5HashGeneratorDelegate> delegate;
}

@property (assign) id <CAPPMD5HashGeneratorDelegate> delegate;

- (NSString *)MD5HashOfFileAtURL:(NSURL *)url;
- (NSString *)MD5HashOfData:(const unsigned char *)data size:(size_t)size;
- (NSString *)MD5HashOfString:(NSString *)string;

@end
