//
//  CAPPPRelatedApplication.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 27/05/14.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPApplicationBundle.h"


typedef enum
{
    CAPPRelatedApplicationSourceDaemon = (1 << 0),
	CAPPRelatedApplicationSourceBundleIdentifier = (1 << 1),
	CAPPRelatedApplicationSourceName = (1 << 2),
	CAPPRelatedApplicationSourceCleanCommunity = (1 << 3)
}
CAPPRelatedApplicationSource;


@interface CAPPRelatedApplication : CAPPApplicationBundle
{
	CAPPRelatedApplicationSource source;
	NSNumber *rating;
}

@property CAPPRelatedApplicationSource source;
@property (retain) NSNumber *rating;

@end
