//
//  CAPPVolumeManager.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 16.11.12.
//  Copyright (c) 2012 Synium Software GmbH. All rights reserved.
//

#define CAPPVolumeManagerVolumesKey @"volumes"


#import <DiskArbitration/DiskArbitration.h>


@class CAPPVolume;


@interface CAPPVolumeManager : NSObject
{
	NSMutableSet *volumes;
	NSMutableSet *devices;
    
    DAApprovalSessionRef session;
	
	NSMutableSet *pendingVolumes;
	
	NSTimer *updateTimer;
}

@property (readonly) NSSet *volumes;
@property (readonly) NSSet *devices;
@property (readonly) CAPPVolume *activeSystemVolume;

+ (CAPPVolumeManager *)volumeManager;

@end
