//
//  CAPPDaemonManagementQuery.h
//  CleanApp
//
//  Created by Tobias Kalus on 21.02.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

@protocol CAPPDaemonManagementQuery

- (void)createNewDatabase;
- (void)cleanDatabase;

- (NSArray *)excludedApplications;
- (void)addExcludedApplication:(NSString *)applicationPath;
- (void)removeExcludedApplication:(NSString *)applicationPath;
- (void)resetExcludedApplications;

@end
