//
//  CAPPDaemonQuery.h
//  CleanAppDaemon
//
//  Created by Tobias Kalus on 07.02.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPDaemonManagementQuery.h"


@protocol CAPPDaemonQuery <CAPPDaemonManagementQuery>

- (NSArray *)fetchAllApplications;
- (NSArray *)fetchRelatedFilesOfApplicationAtPath:(NSString *)applicationPath;
- (NSArray *)fetchRelatedApplicationsOfFileAtPath:(NSString *)filePath;

- (void)assignFiles:(NSArray *)files toApplication:(NSString *)application;

@end
