//
//  CAPPBasePathSearchController.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 27/05/14.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

@class CAPPIconCache;


@interface CAPPBasePathSearchController : NSObject
{
	NSOperationQueue *operationQueue;
	NSMutableSet *operations;
	CAPPIconCache *iconCache;
}

@property (retain)  NSOperationQueue *operationQueue;
@property (retain) CAPPIconCache *iconCache;

+ (id)controller;

- (id)initWithOperationQueue:(NSOperationQueue *)operationQueue iconCache:(CAPPIconCache *)iconCache;

- (void)startOperation:(NSOperation *)operation;
- (void)cancelAllOperations;
- (void)cancelAllOperations:(BOOL)waitUntilDone;

@end
