//
//  CAPPPathSearchController_Private.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 05/02/2014.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPPathSearchController.h"


@interface CAPPPathSearchController ()

- (BOOL)shouldPublishResult:(id)result;
- (id)prepareResult:(id)result;
- (void)checkForNewResults;

- (void)addResult:(id)result;
- (void)updateResult:(id)result;
- (void)removeResult:(id)result;
- (void)removeAllResults;

- (void)search;

- (void)excludedDirectoriesDidChange;

@end
