//
//  CAPPDirectoryExclusionManager.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 23/01/2014.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#define CAPPExcludedDirectoriesDidChangeNotificationName @"excludedDirectoriesDidChange"
#define CAPPExcludedDirectoriesKey @"excludedDirectories"


@interface CAPPDirectoryExclusionManager : NSObject
{
	NSSet *excludedDirectoryURLs;
}

@property (copy) NSSet *excludedDirectoryURLs;

- (BOOL)isExcludedFileAtURL:(NSURL *)url;

@end
