//
//  CAPPFileManagerTransaction.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 19.09.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPFileManagerResultCode.h"


enum _CAPPFileManagerTransactionAuthorizationOptions
{
	CAPPFileManagerTransactionAuthorizationOptionIgnore = 1,
	CAPPFileManagerTransactionAuthorizationOptionRequest = 2,
	CAPPFileManagerTransactionAuthorizationOptionCancel = 3
}
typedef CAPPFileManagerTransactionAuthorizationOptions;


@interface CAPPFileManagerTransaction : NSObject
{
	@private
	
	CAPPFileManagerTransactionAuthorizationOptions authorizationOptions;
	
	NSMutableArray *errors;
	CAPPFileManagerResultCode firstErrorCode;
}

@property (readonly) CAPPFileManagerTransactionAuthorizationOptions authorizationOptions;
@property (readonly) NSArray *errors;

@end
