//
//  CAPPLanguagesSearchController.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 22/01/2014.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPPathSearchController.h"


#define CAPPPreferedLanguagesKey @"preferedLanguages"


@interface CAPPLanguagesSearchController : CAPPPathSearchController
{
	NSMutableSet *preferedLanguages;
}

@property (readonly) NSSet *preferedLanguages;

- (void)languagesOfApplicationBundleAtURL:(NSURL *)url completionHandler:(void (^)(NSSet *))completionHandler;

@end
