//
//  CAPPProcessWatcher.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 20.01.12.
//  Copyright (c) 2012 Synium Software GmbH. All rights reserved.
//

@class CAPPProcessWatcher;


@protocol CAPPProcessWatcherDelegate

- (void)processWatcher:(CAPPProcessWatcher *)watcher processWithIdDidEnd:(pid_t)pid;

@end


#import <pthread.h>
#import <sys/event.h>
#import <pthread.h>


struct _CAPPThreadInfo
{
	BOOL running;
	int queue;
	pid_t pid;
	id <CAPPProcessWatcherDelegate> delegate;
	id watcher;
}
typedef CAPPThreadInfo;


typedef CAPPThreadInfo *CAPPThreadInfoPtr;


@interface CAPPProcessWatcher : NSObject
{
	pthread_t thread;
	CAPPThreadInfo threadInfo;
}

- (id)initWithPID:(pid_t)p delegate:(id <CAPPProcessWatcherDelegate>)d;

@end
