//
//  CleanAppCore.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 02.09.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//


#import "CAPPCoreDefines.h"

#import "CAPPMD5HashGenerator.h"
#import "CAPPLanguageAuxiliaries.h"
#import "CAPPUserPreferencesAuxiliaries.h"
#import "CAPPSystemAuxiliaries.h"
#import "CAPPFileManager.h"
#import "CAPPCarbonAuxiliaries.h"
#import "CAPPIcon.h"
#import "CAPPIconCache.h"
#import "CAPPProcess.h"
#import "NSURL+Additions.h"
#import "CAPPDiskImage.h"
#import "CAPPPath.h"
#import "CAPPFile.h"
#import "CAPPExecutableFile.h"
#import "CAPPDirectory.h"
#import "CAPPBundle.h"
#import "CAPPApplicationBundle.h"
#import "CAPPLanguage.h"
#import "CAPPMobileDeviceBackup.h"
#import "CAPPFilesystemWatcher.h"
#import "CAPPKernelExtension.h"
#import "CAPPVolume.h"
#import "CAPPFileManagerResultCode.h"
#import "CAPPFileManagerError.h"
#import "CAPPCache.h"
#import "CAPPCacheTable.h"
#import "CAPPCacheTableDescription.h"
#import "CAPPSoundAuxilaries.h"
#import "NSObject+Concurrency.h"
#import "NSMapTable+Additions.h"
#import "NSString+Additions.h"
#import "NSMutableSet+Additions.h"
#import "NSIndexSet+Additions.h"
#import "CAPPDaemonManager.h"
#import "CAPPDaemonManager+Query.h"
#import "CAPPDaemonManager+Notifications.h"
#import "CAPPDaemonManager+Installation.h"
#import "CAPPDaemonManager+Connection.h"
#import "CAPPURLConnection.h"
#import "CAPPURLLocalizationCache.h"
#import "CAPPVolumeManager.h"
#import "CAPPVolumeManager+LoadBalancing.h"
#import "CAPPDevice.h"
#import "CAPPArchive.h"
#import "CAPPMetadataQuery.h"
#import "CAPPAppDataSearchController.h"
#import "CAPPContainer.h"
#import "CAPPPathSearchControllerManager.h"
#import "CAPPTrashFilesSearchController.h"
#import "CAPPTemporaryFilesSearchController.h"
#import "CAPPLogFilesSearchController.h"
#import "CAPPMobileDeviceBackupsSearchController.h"
#import "CAPPMobileDeviceFirmwareSearchController.h"
#import "CAPPLanguagesSearchController.h"
#import "CAPPBlacklistManager.h"
#import "CAPPSystemPathProtectionManager.h"
#import "CAPPPathProtectionRevisor.h"
#import "CAPPDirectoryExclusionManager.h"
#import "CAPPBundleProtectionManager.h"
#import "CAPPConfigurationFileAuxiliaries.h"
#import "CAPPApplicationsSearchController.h"
#import "CAPPFontsSearchController.h"
#import "CAPPPreferencesPaneSearchController.h"
#import "CAPPQuickTimeComponentsSearchController.h"
#import "CAPPScreenSaversSearchController.h"
#import "CAPPWidgetsSearchController.h"
#import "CAPPInternetPluginsSearchController.h"
#import "CAPPEmptyFoldersSearchController.h"
#import "CAPPKernelExtensionsSearchController.h"
#import "CAPPDuplicateFilesSearchController.h"
#import "CAPPUniversalBinariesSearchController.h"
#import "CAPPPathSearchControllerProxy.h"
#import "CAPPBasePathSearchController.h"
#import "CAPPRelatedApplicationsSearchController.h"
#import "CAPPRelatedApplication.h"
#import "CAPPRelicsSearchController.h"
#import "CAPPDemoAuxilaries.h"
