//
//  CAPPBaseCacheTableDataSource.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 02.11.11.
//  Copyright (c) 2011 Synium Software GmbH. All rights reserved.
//

#import <pthread.h>


@class CAPPCacheTableDescription;
@class CAPPCacheTable;


@interface CAPPBaseCacheTableDataSource : NSObject
{
	CAPPCacheTableDescription *cacheTableDescription;
	CAPPCacheTable *cacheTable;
	
	@private
	pthread_mutex_t mutex;
}

- (id)initWithCacheTableDescription:(CAPPCacheTableDescription *)description cacheTable:(CAPPCacheTable *)table;

- (void)lock;
- (void)unlock;

@end
